OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_MapIteratorOfLabelMap Class Reference

`#include <TDF_MapIteratorOfLabelMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_MapIteratorOfLabelMap ()
Standard_EXPORT | TDF_MapIteratorOfLabelMap (const TDF_LabelMap &aMap)
Standard_EXPORT void | Initialize (const TDF_LabelMap &aMap)
Standard_EXPORT const TDF_Label & | Key () const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_MapIteratorOfLabelMap::TDF_MapIteratorOfLabelMap | ( |  | ) |

Standard_EXPORT TDF_MapIteratorOfLabelMap::TDF_MapIteratorOfLabelMap | ( | const TDF_LabelMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDF_MapIteratorOfLabelMap::Initialize | ( | const TDF_LabelMap & | aMap | ) |

Standard_EXPORT const TDF_Label& TDF_MapIteratorOfLabelMap::Key | ( |  | ) | const

void TDF_MapIteratorOfLabelMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_MapIteratorOfLabelMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_MapIteratorOfLabelMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TDF_MapIteratorOfLabelMap.hxx